##
##  talkfilters.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         talkfilters
Summary:      GNU Talk Filters
URL:          http://www.hyperrealm.com/main.php?s=talkfilters
Vendor:       Mark Lindner
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Writing
License:      GPL
Version:      2.3.8
Release:      20080101

#   list of sources
Source0:      http://www.hyperrealm.com/talkfilters/talkfilters-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The GNU Talk Filters are filter programs that convert ordinary
    English text into text that mimics a stereotyped or otherwise
    humorous dialect. These filters have been in the public domain for
    many years, but now for the first time they are provided as a single
    integrated package. The filters include austro, b1ff, brooklyn,
    chef, cockney, drawl, dubya, fudd, funetak, jethro, jive, kraut,
    pansy, pirate, postmodern, redneck, valspeak, and warez. Each
    program reads from standard input and writes to standard output. The
    package also provides the filters as a C library, so they can be
    easily used by other programs.

%track
    prog talkfilters = {
        version   = %{version}
        url       = http://www.hyperrealm.com/talkfilters/talkfilters.html
        regex     = talkfilters-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

